<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<title>Intercale imágenes</title>
<style>
    body, html {
        margin: 0;
        padding: 0;
        height: 100%;
        overflow: hidden;
    }
    #image-container {
        width: auto;
        height: auto;
        position: relative;
    }
    img {
        position: absolute;
        top: 0;
        left: 0;
        opacity: 0;
        transition: opacity 1s ease-in-out;
    }
</style>
</head>
<body>

<div id="image-container">
    <img src="La_puerta_del_Infierno_.jpg" alt="Imagen 1">
    <img src="El goteo de Pollock.jpg" alt="Imagen 2">
</div>

<script>
    var images = document.querySelectorAll('#image-container img');
    var currentImageIndex = 0;

    function showNextImage() {
        // Oculta la imagen actual
        images[currentImageIndex].style.opacity = '0';
        
        // Calcula el índice de la siguiente imagen
        currentImageIndex = (currentImageIndex + 1) % images.length;

        // Muestra la siguiente imagen
        images[currentImageIndex].style.opacity = '1';
    }

    // Mostrar la primera imagen
    images[currentImageIndex].style.opacity = '1';

    // Calcular el tamaño máximo permitido para las imágenes
    var maxWidth = window.innerWidth;
    var maxHeight = window.innerHeight;

    // Cambiar de imagen cada segundo
    setInterval(showNextImage, 1000);
</script>

</body>
</html>
